<?php
/**
* Widget Functions.
*
* @package Green Nursery
*/

function green_nursery_widgets_init(){

	register_sidebar(array(
	    'name' => esc_html__('Main Sidebar', 'green-nursery'),
	    'id' => 'sidebar-1',
	    'description' => esc_html__('Add widgets here.', 'green-nursery'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));

	register_sidebar(array(
	    'name' => esc_html__('Header Sidebar', 'green-nursery'),
	    'id' => 'sidebar-header',
	    'description' => esc_html__('Add widgets here.', 'green-nursery'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));


    $green_nursery_default = green_nursery_get_default_theme_options();
    $green_nursery_footer_column_layout = absint( get_theme_mod( 'green_nursery_footer_column_layout',$green_nursery_default['green_nursery_footer_column_layout'] ) );

    for( $i = 0; $i < $green_nursery_footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','green-nursery'); }
    	if( $i == 1 ){ $count = esc_html__('Two','green-nursery'); }
    	if( $i == 2 ){ $count = esc_html__('Three','green-nursery'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'green-nursery').$count,
	        'id' => 'green-nursery-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'green-nursery'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'green_nursery_widgets_init');